{
  "accUserMode" : 2,
  "caption" : "书",
  "codeName" : "bookGridView9",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookGridView9.json",
  "gridRowActiveMode" : 2,
  "name" : "bookGridView9",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView9",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "书编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "aggMode" : "NONE",
    "codeName" : "Main",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book/PSGRIDS/Main.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "主表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "书名称",
      "codeName" : "bookname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "bookname",
      "excelCaption" : "书名称",
      "name" : "bookname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "建立时间",
      "codeName" : "createdate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createdate",
      "excelCaption" : "建立时间",
      "name" : "createdate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "日期",
      "codeName" : "date",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "date",
      "excelCaption" : "日期",
      "name" : "date",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      },
      "valueFormat" : "YYYY",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "类型",
      "codeName" : "type",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "type",
      "excelCaption" : "类型",
      "name" : "type",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList44.json"
      },
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "结束时间",
      "codeName" : "end",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "end",
      "excelCaption" : "结束时间",
      "name" : "end",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "END",
        "codeName" : "End"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性24",
      "codeName" : "field24",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field24",
      "excelCaption" : "属性24",
      "name" : "field24",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "Field24"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : false
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "属性",
      "codeName" : "field",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field",
      "excelCaption" : "属性",
      "name" : "field",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList83.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性36",
      "codeName" : "field36",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field36",
      "excelCaption" : "属性36",
      "name" : "field36",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD36",
        "codeName" : "Field36"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "属性2",
      "codeName" : "field2",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field2",
      "excelCaption" : "属性2",
      "name" : "field2",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性19",
      "codeName" : "field19",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field19",
      "excelCaption" : "属性19",
      "name" : "field19",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "Field19"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性41",
      "codeName" : "field41",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field41",
      "excelCaption" : "属性41",
      "name" : "field41",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD41",
        "codeName" : "Field41"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "属性14",
      "codeName" : "field14",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field14",
      "excelCaption" : "属性14",
      "name" : "field14",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "Field14"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "属性3",
      "codeName" : "field3",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field3",
      "excelCaption" : "属性3",
      "name" : "field3",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList46.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "属性4",
      "codeName" : "field4",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "field4",
      "excelCaption" : "属性4",
      "name" : "field4",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/CodeList.json"
      },
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "bookname",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "createdate",
      "getPSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "format" : "YYYY",
      "dataType" : 5,
      "name" : "date",
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      }
    }, {
      "dataType" : 25,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "end",
      "getPSAppDEField" : {
        "name" : "END",
        "codeName" : "End"
      }
    }, {
      "dataType" : 21,
      "name" : "field24",
      "getPSAppDEField" : {
        "name" : "FIELD24",
        "codeName" : "Field24"
      }
    }, {
      "dataType" : 25,
      "name" : "field",
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      }
    }, {
      "dataType" : 25,
      "name" : "field36",
      "getPSAppDEField" : {
        "name" : "FIELD36",
        "codeName" : "Field36"
      }
    }, {
      "dataType" : 25,
      "name" : "field2",
      "getPSAppDEField" : {
        "name" : "FIELD2",
        "codeName" : "Field2"
      }
    }, {
      "dataType" : 25,
      "name" : "field19",
      "getPSAppDEField" : {
        "name" : "FIELD19",
        "codeName" : "Field19"
      }
    }, {
      "dataType" : 25,
      "name" : "field41",
      "getPSAppDEField" : {
        "name" : "FIELD41",
        "codeName" : "Field41"
      }
    }, {
      "dataType" : 25,
      "name" : "field14",
      "getPSAppDEField" : {
        "name" : "FIELD14",
        "codeName" : "Field14"
      }
    }, {
      "dataType" : 25,
      "name" : "field3",
      "getPSAppDEField" : {
        "name" : "FIELD3",
        "codeName" : "Field3"
      }
    }, {
      "dataType" : 25,
      "name" : "field4",
      "getPSAppDEField" : {
        "name" : "FIELD4",
        "codeName" : "Field4"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "phoneid",
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      }
    }, {
      "dataType" : 25,
      "name" : "pbookid",
      "getPSAppDEField" : {
        "name" : "PBOOKID",
        "codeName" : "Pbookid"
      }
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "书标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "fa1370490e24654b68f76899ff0a5688",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "GridView9toolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "测试二级工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "caption" : "分组1",
      "itemType" : "ITEMS",
      "name" : "items1",
      "getPSDEToolbarItems" : [ {
        "getCapPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TEXT.*.REMOVE",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.REMOVE]",
          "refFlag" : true
        },
        "caption" : "删除",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction2",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction2"
        },
        "getPSSysImage" : {
          "cssClass" : "fa-solid fa-delete-left"
        },
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TEXT.*.REMOVE",
            "lanResType" : "TBB.TEXT",
            "name" : "工具栏按钮文本[*.REMOVE]",
            "refFlag" : true
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "defaultContent" : "删除",
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
            "lanResType" : "TBB.TOOLTIP",
            "name" : "工具栏按钮提示[*.REMOVE]",
            "refFlag" : true
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "删除",
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "删除",
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.REMOVE]",
          "refFlag" : true
        },
        "uIActionTarget" : "MULTIKEY",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "tooltip" : "分组1",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "itemType" : "SEPERATOR",
      "name" : "seperator1",
      "spanMode" : false
    }, {
      "caption" : "数据导入",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction5",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction5"
      },
      "getPSSysImage" : {
        "glyph" : "xf093@FontAwesome",
        "cssClass" : "fa fa-upload"
      },
      "getPSUIAction" : {
        "caption" : "数据导入",
        "codeName" : "Import",
        "fullCodeName" : "Import",
        "name" : "表格界面_数据导入栏",
        "getPSSysImage" : {
          "glyph" : "xf093@FontAwesome",
          "cssClass" : "fa fa-upload"
        },
        "predefinedType" : "GRIDVIEW_IMPORTBAR",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Import",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "数据导入",
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "defaultContent" : "导出",
        "lanResTag" : "TBB.TEXT.*.EXPORT",
        "lanResType" : "TBB.TEXT",
        "name" : "工具栏按钮文本[*.EXPORT]",
        "refFlag" : true
      },
      "caption" : "导出",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction6",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction6"
      },
      "getPSSysImage" : {
        "glyph" : "xf065@FontAwesome",
        "cssClass" : "fa fa-expand"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "defaultContent" : "导出",
          "lanResTag" : "TBB.TEXT.*.EXPORT",
          "lanResType" : "TBB.TEXT",
          "name" : "工具栏按钮文本[*.EXPORT]",
          "refFlag" : true
        },
        "caption" : "导出",
        "codeName" : "ExportExcel",
        "fullCodeName" : "ExportExcel",
        "name" : "表格界面_导出操作（Excel）",
        "getPSSysImage" : {
          "glyph" : "xf1c3@FontAwesome",
          "cssClass" : "fa fa-file-excel-o"
        },
        "predefinedType" : "GRIDVIEW_EXPORTACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "defaultContent" : "导出",
          "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
          "lanResType" : "TBB.TOOLTIP",
          "name" : "工具栏按钮提示[*.EXPORT]",
          "refFlag" : true
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "ExportExcel",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "导出",
      "getTooltipPSLanguageRes" : {
        "defaultContent" : "导出",
        "lanResTag" : "TBB.TOOLTIP.*.EXPORT",
        "lanResType" : "TBB.TOOLTIP",
        "name" : "工具栏按钮提示[*.EXPORT]",
        "refFlag" : true
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "caption" : "刷新",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction8",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction8"
      },
      "getPSSysImage" : {
        "glyph" : "xf021@FontAwesome",
        "cssClass" : "fa fa-refresh"
      },
      "getPSUIAction" : {
        "caption" : "刷新",
        "codeName" : "Refresh",
        "fullCodeName" : "Refresh",
        "name" : "表格界面_刷新操作",
        "getPSSysImage" : {
          "glyph" : "xf021@FontAwesome",
          "cssClass" : "fa fa-refresh"
        },
        "predefinedType" : "GRIDVIEW_REFRESHACTION",
        "timeout" : 60000,
        "uIActionMode" : "SYS",
        "uIActionTag" : "Refresh",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "刷新",
      "width" : 200.0,
      "showCaption" : false,
      "showIcon" : true
    } ],
    "xDataControlName" : "grid",
    "modelid" : "FE7745F8-D180-473C-8CB8-71A149BE3C04",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "caption" : "书",
    "codeName" : "GridView9captionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "GridView9",
  "getPSDEViewId" : "B18CDC30-5C39-4042-BE25-FCB753D0D65E",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW9",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "书表格视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW9",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "rowEditDefault" : false,
  "modelid" : "c59baaf082985edf5ca7037cd4601585",
  "modeltype" : "PSAPPDEVIEW"
}